LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Structures | Macros | Functions
stream.h File Reference

Go to the source code of this file.

## Data Structures
struct | lives_vstream_t
struct | lives_pandh_w

## Macros
#define | LIVES_STREAM_TYPE_VIDEO 1
#define | LIVES_VSTREAM_FLAGS_IS_CONTINUATION 1<<0
#define | LIVES_VSTREAM_COMPRESSION_NONE 0

## Functions
void | lives2lives_read_stream (const char *host, int port)
void | weed_layer_set_from_lives2lives (weed_plant_t *layer, int clip, lives_vstream_t *lstream)
void | on_open_lives2lives_activate (LiVESMenuItem *, livespointer)
void | on_send_lives2lives_activate (LiVESMenuItem *, livespointer)
lives_pandh_w * | create_pandh_dialog (int type)

## Macro Definition Documentation

#define LIVES_STREAM_TYPE_VIDEO 1

#define LIVES_VSTREAM_COMPRESSION_NONE 0

#define LIVES_VSTREAM_FLAGS_IS_CONTINUATION 1<<0

## Function Documentation

lives_pandh_w* create_pandh_dialog | ( | int | type | ) |

void lives2lives_read_stream | ( | const char * | host,
|  | int | port
| ) |  |

void on_open_lives2lives_activate | ( | LiVESMenuItem * | ,
|  | livespointer |
| ) |  |

void on_send_lives2lives_activate | ( | LiVESMenuItem * | ,
|  | livespointer |
| ) |  |

void weed_layer_set_from_lives2lives | ( | weed_plant_t * | layer,
|  | int | clip,
|  | lives_vstream_t * | lstream
| ) |  |